org.apache.catalina.authenticator

## Class SpnegoAuthenticator.SpnegoTokenFixer

- java.lang.Object
- - org.apache.catalina.authenticator.SpnegoAuthenticator.SpnegoTokenFixer

- Enclosing class:
    SpnegoAuthenticator

      public static class SpnegoAuthenticator.SpnegoTokenFixer
      extends Object

  This class implements a hack around an incompatibility between the SPNEGO implementation in Windows and the SPNEGO implementation in Java 8 update 40 onwards. It was introduced by the change to fix this bug: https://bugs.openjdk.java.net/browse/JDK-8048194 (note: the change applied is not the one suggested in the bug report)

  It is not clear to me if Windows, Java or Tomcat is at fault here. I think it is Java but I could be wrong.

  This hack works by re-ordering the list of mechTypes in the NegTokenInit token.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fix(byte[] token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fix

          public static void fix(byte[] token)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.